<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/classes/systems/mapping/expansionworldmappingmodule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/da8/a02444_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionworldmappingmodule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/da8/a02444.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionWorldMappingModule.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>[<a class="code hl_function" href="../../d8/d80/a09328.html#a65dbab13853969b0c9a6c127dfecfaea">CF_RegisterModule</a>(<a class="code hl_class" href="../../d3/d45/a06910.html">ExpansionWorldMappingModule</a>)]</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html">   14</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d45/a06910.html">ExpansionWorldMappingModule</a>: CF_ModuleWorld</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a0b5d5565dee20cf1ee62d1ecfde23d8c">   16</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d3/d45/a06910.html#a0b5d5565dee20cf1ee62d1ecfde23d8c">SI_LampEnable</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#aab6c2f49a9caf8c18d4a5b4f6eb6c4a2">   17</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d3/d45/a06910.html#aab6c2f49a9caf8c18d4a5b4f6eb6c4a2">SI_LampDisable</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">   19</a></span>    <span class="keyword">private</span> autoptr array&lt; vector &gt; <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a03479b866c0eb19e7385657fe2224308">   21</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d3/d45/a06910.html#a03479b866c0eb19e7385657fe2224308">m_WorldName</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a6fac357cb950061e2e863a9bfa9a9cdc">   23</a></span>    <span class="keyword">protected</span> ExpansionInteriorBuildingModule <a class="code hl_variable" href="../../d3/d45/a06910.html#a6fac357cb950061e2e863a9bfa9a9cdc">m_InteriorModule</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// ExpansionWorldMappingModule Constructor</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a30f6659cca728f39da2fd099018d79a6">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a30f6659cca728f39da2fd099018d79a6">ExpansionWorldMappingModule</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a> = <span class="keyword">new</span> array&lt; vector &gt;;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">// Expansion OnInit</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a7d9d61803f65b4bf16286052f8e21350">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a7d9d61803f65b4bf16286052f8e21350">OnInit</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        super.OnInit();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        EnableMissionStart();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        EnableMissionLoaded();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        EnableRPC();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a61d42f15a2afe96f356437b3d5da519c">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a61d42f15a2afe96f356437b3d5da519c">OnMissionStart</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        super.OnMissionStart(sender, args);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d3/d45/a06910.html#a03479b866c0eb19e7385657fe2224308">m_WorldName</a> = <a class="code hl_function" href="../../d3/d45/a06910.html#ae4a1da856044eba8fec5c5ecb761f0a6">AdjustWorldName</a>( g_Game.GetWorldName() );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping &amp;&amp; <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping.UseCustomMappingModule)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_class" href="../../d1/d1f/a05078.html">ExpansionObjectSpawnTools</a>.<a class="code hl_variable" href="../../d1/d1f/a05078.html#aa126b4a4ee543b809a11cfbe467fab31">objectFilesFolder</a> = <a class="code hl_variable" href="../../da/d28/a09115.html#a7cc200c783f350186bc0feecb6f6103c">EXPANSION_MAPPING_FOLDER</a> + <a class="code hl_variable" href="../../d3/d45/a06910.html#a03479b866c0eb19e7385657fe2224308">m_WorldName</a> + <span class="stringliteral">&quot;/&quot;</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">foreach</span> (<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>: <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping.Mapping)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <a class="code hl_class" href="../../d1/d1f/a05078.html">ExpansionObjectSpawnTools</a>.<a class="code hl_function" href="../../d1/d1f/a05078.html#a39e2bbcb561d3c2e4c6a14fe2843da58">LoadMissionObjectsFile</a>(<a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a> + <a class="code hl_variable" href="../../da/d28/a09115.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">// Expansion OnMissionLoaded</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a1204b8651906daf82f69dfd6e5af80dd">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a1204b8651906daf82f69dfd6e5af80dd">OnMissionLoaded</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        super.OnMissionLoaded(sender, args);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> ( !IsMissionOffline() &amp;&amp; IsMissionClient() )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            rpc.Send( NULL, ExpansionWorldMappingModuleRPC.Load, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">// Expansion AdjustWorldName</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#ae4a1da856044eba8fec5c5ecb761f0a6">   79</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/d45/a06910.html#ae4a1da856044eba8fec5c5ecb761f0a6">AdjustWorldName</a>( <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a> )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordtype">string</span> nName = <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        nName.ToLower();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> ( nName.Contains( <span class="stringliteral">&quot;chernarusplus&quot;</span> ) )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;chernarusplus&quot;</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> nName;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">// Expansion GetRPCMin</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a6f28f92f52cf1042b61828e11821650a">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a6f28f92f52cf1042b61828e11821650a">GetRPCMin</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">return</span> ExpansionWorldMappingModuleRPC.INVALID;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    <span class="comment">// Expansion GetRPCMax</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#ac8588f4da2f18728b79da404d57ae3c9">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d3/d45/a06910.html#ac8588f4da2f18728b79da404d57ae3c9">GetRPCMax</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> ExpansionWorldMappingModuleRPC.COUNT;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="comment">// Expansion OnRPC</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a50749d8df07a91817d7571daee1a8fb4">  110</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a50749d8df07a91817d7571daee1a8fb4">OnRPC</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        super.OnRPC(sender, args);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keyword">auto</span> rpc = CF_EventRPCArgs.Cast(args);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">switch</span> ( rpc.ID )</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">case</span> ExpansionWorldMappingModuleRPC.TurnOn:</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_function" href="../../d3/d45/a06910.html#a640adc8c012d3aeffd730f18d258a473">RPC_TurnOn</a>( rpc.Context, rpc.Sender, rpc.Target );</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">case</span> ExpansionWorldMappingModuleRPC.TurnOff:</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <a class="code hl_function" href="../../d3/d45/a06910.html#a28b0f424f138d3815186ff8bf5788db9">RPC_TurnOff</a>( rpc.Context, rpc.Sender, rpc.Target );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">case</span> ExpansionWorldMappingModuleRPC.Load:</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <a class="code hl_function" href="../../d3/d45/a06910.html#a848eee0bd151cf57506411fdc1456bbc">RPC_Load</a>( rpc.Context, rpc.Sender, rpc.Target );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <span class="comment">// Expansion RPC_TurnOn</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a640adc8c012d3aeffd730f18d258a473">  133</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a640adc8c012d3aeffd730f18d258a473">RPC_TurnOn</a>( ParamsReadContext ctx, PlayerIdentity senderRPC, Object target )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">if</span> ( ctx.Read( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> ) )</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>.Insert( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <a class="code hl_variable" href="../../d3/d45/a06910.html#a0b5d5565dee20cf1ee62d1ecfde23d8c">SI_LampEnable</a>.Invoke( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="comment">// Expansion RPC_TurnOff</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a28b0f424f138d3815186ff8bf5788db9">  149</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a28b0f424f138d3815186ff8bf5788db9">RPC_TurnOff</a>( ParamsReadContext ctx, PlayerIdentity senderRPC, Object target )</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">if</span> ( ctx.Read( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> ) )</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>.RemoveItem( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <a class="code hl_variable" href="../../d3/d45/a06910.html#aab6c2f49a9caf8c18d4a5b4f6eb6c4a2">SI_LampDisable</a>.Invoke( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    <span class="comment">// Expansion RPC_Load</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a848eee0bd151cf57506411fdc1456bbc">  165</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a848eee0bd151cf57506411fdc1456bbc">RPC_Load</a>( ParamsReadContext ctx, PlayerIdentity senderRPC, Object target )</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            rpc.Write( <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a> );</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            rpc.Send( NULL, ExpansionWorldMappingModuleRPC.Load, <span class="keyword">true</span>, senderRPC );</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            ctx.Read( <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a> );</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>.Count(); i++ )</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                <a class="code hl_variable" href="../../d3/d45/a06910.html#a0b5d5565dee20cf1ee62d1ecfde23d8c">SI_LampEnable</a>.Invoke( <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>[i] );</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            <a class="code hl_class" href="../../d1/d07/a03482.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../d1/d07/a03482.html#ad3ba495be8256aa690e0d611129c8889">SI_General</a>.Invoke();</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="comment">// Expansion TurnOnGenerator</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#aa3804eb3d7046148b13907845ad3c917">  188</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#aa3804eb3d7046148b13907845ad3c917">TurnOnGenerator</a>( vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> )</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <a class="code hl_function" href="../../d3/d60/a00818.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOnGenerator - Start - &quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>.Insert( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">if</span> ( IsMissionOffline() )</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <a class="code hl_variable" href="../../d3/d45/a06910.html#a0b5d5565dee20cf1ee62d1ecfde23d8c">SI_LampEnable</a>.Invoke( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            rpc.Write( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            rpc.Send( NULL, ExpansionWorldMappingModuleRPC.TurnOn, <span class="keyword">true</span>, NULL );</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <a class="code hl_function" href="../../d3/d60/a00818.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOnGenerator - End - &quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    <span class="comment">// Expansion TurnOffGenerator</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d3/d45/a06910.html#a6c02b98d4115552febcba9dfcda355f9">  214</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a06910.html#a6c02b98d4115552febcba9dfcda355f9">TurnOffGenerator</a>( vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> )</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        <a class="code hl_function" href="../../d3/d60/a00818.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOffGenerator - Start - &quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <a class="code hl_variable" href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">m_LightGenerators</a>.RemoveItem( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordflow">if</span> ( IsMissionOffline() )</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>            <a class="code hl_variable" href="../../d3/d45/a06910.html#aab6c2f49a9caf8c18d4a5b4f6eb6c4a2">SI_LampDisable</a>.Invoke( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        } </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            rpc.Write( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            rpc.Send( NULL, ExpansionWorldMappingModuleRPC.TurnOff, <span class="keyword">true</span>, NULL );</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <a class="code hl_function" href="../../d3/d60/a00818.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOffGenerator - End - &quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>};</div>
<div class="ttc" id="aa00818_html_a676a710eadd0678b1181aee5e3e329a9"><div class="ttname"><a href="../../d3/d60/a00818.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a></div><div class="ttdeci">static void EXLogPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00040">expansionstatic.c:40</a></div></div>
<div class="ttc" id="aa01532_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa03482_html"><div class="ttname"><a href="../../d1/d07/a03482.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d71/a08728_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa03482_html_ad3ba495be8256aa690e0d611129c8889"><div class="ttname"><a href="../../d1/d07/a03482.html#ad3ba495be8256aa690e0d611129c8889">ExpansionSettings::SI_General</a></div><div class="ttdeci">static ref ScriptInvoker SI_General</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d44/a08764_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa05078_html"><div class="ttname"><a href="../../d1/d1f/a05078.html">ExpansionObjectSpawnTools</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d53/a01262_source.html#l00013">expansionobjectspawntools.c:14</a></div></div>
<div class="ttc" id="aa05078_html_a39e2bbcb561d3c2e4c6a14fe2843da58"><div class="ttname"><a href="../../d1/d1f/a05078.html#a39e2bbcb561d3c2e4c6a14fe2843da58">ExpansionObjectSpawnTools::LoadMissionObjectsFile</a></div><div class="ttdeci">static void LoadMissionObjectsFile(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d53/a01262_source.html#l00090">expansionobjectspawntools.c:90</a></div></div>
<div class="ttc" id="aa05078_html_aa126b4a4ee543b809a11cfbe467fab31"><div class="ttname"><a href="../../d1/d1f/a05078.html#aa126b4a4ee543b809a11cfbe467fab31">ExpansionObjectSpawnTools::objectFilesFolder</a></div><div class="ttdeci">static string objectFilesFolder</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d53/a01262_source.html#l00016">expansionobjectspawntools.c:16</a></div></div>
<div class="ttc" id="aa06910_html"><div class="ttname"><a href="../../d3/d45/a06910.html">ExpansionWorldMappingModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00014">expansionworldmappingmodule.c:15</a></div></div>
<div class="ttc" id="aa06910_html_a03479b866c0eb19e7385657fe2224308"><div class="ttname"><a href="../../d3/d45/a06910.html#a03479b866c0eb19e7385657fe2224308">ExpansionWorldMappingModule::m_WorldName</a></div><div class="ttdeci">private string m_WorldName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00021">expansionworldmappingmodule.c:21</a></div></div>
<div class="ttc" id="aa06910_html_a0b5d5565dee20cf1ee62d1ecfde23d8c"><div class="ttname"><a href="../../d3/d45/a06910.html#a0b5d5565dee20cf1ee62d1ecfde23d8c">ExpansionWorldMappingModule::SI_LampEnable</a></div><div class="ttdeci">static ref ScriptInvoker SI_LampEnable</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00016">expansionworldmappingmodule.c:16</a></div></div>
<div class="ttc" id="aa06910_html_a1204b8651906daf82f69dfd6e5af80dd"><div class="ttname"><a href="../../d3/d45/a06910.html#a1204b8651906daf82f69dfd6e5af80dd">ExpansionWorldMappingModule::OnMissionLoaded</a></div><div class="ttdeci">override void OnMissionLoaded(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00065">expansionworldmappingmodule.c:65</a></div></div>
<div class="ttc" id="aa06910_html_a16ab70e20f99545beba23d597583d83b"><div class="ttname"><a href="../../d3/d45/a06910.html#a16ab70e20f99545beba23d597583d83b">ExpansionWorldMappingModule::m_LightGenerators</a></div><div class="ttdeci">private autoptr array&lt; vector &gt; m_LightGenerators</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00019">expansionworldmappingmodule.c:19</a></div></div>
<div class="ttc" id="aa06910_html_a28b0f424f138d3815186ff8bf5788db9"><div class="ttname"><a href="../../d3/d45/a06910.html#a28b0f424f138d3815186ff8bf5788db9">ExpansionWorldMappingModule::RPC_TurnOff</a></div><div class="ttdeci">private void RPC_TurnOff(ParamsReadContext ctx, PlayerIdentity senderRPC, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00149">expansionworldmappingmodule.c:149</a></div></div>
<div class="ttc" id="aa06910_html_a30f6659cca728f39da2fd099018d79a6"><div class="ttname"><a href="../../d3/d45/a06910.html#a30f6659cca728f39da2fd099018d79a6">ExpansionWorldMappingModule::ExpansionWorldMappingModule</a></div><div class="ttdeci">void ExpansionWorldMappingModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00028">expansionworldmappingmodule.c:28</a></div></div>
<div class="ttc" id="aa06910_html_a50749d8df07a91817d7571daee1a8fb4"><div class="ttname"><a href="../../d3/d45/a06910.html#a50749d8df07a91817d7571daee1a8fb4">ExpansionWorldMappingModule::OnRPC</a></div><div class="ttdeci">override void OnRPC(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00110">expansionworldmappingmodule.c:110</a></div></div>
<div class="ttc" id="aa06910_html_a61d42f15a2afe96f356437b3d5da519c"><div class="ttname"><a href="../../d3/d45/a06910.html#a61d42f15a2afe96f356437b3d5da519c">ExpansionWorldMappingModule::OnMissionStart</a></div><div class="ttdeci">override void OnMissionStart(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00045">expansionworldmappingmodule.c:45</a></div></div>
<div class="ttc" id="aa06910_html_a640adc8c012d3aeffd730f18d258a473"><div class="ttname"><a href="../../d3/d45/a06910.html#a640adc8c012d3aeffd730f18d258a473">ExpansionWorldMappingModule::RPC_TurnOn</a></div><div class="ttdeci">private void RPC_TurnOn(ParamsReadContext ctx, PlayerIdentity senderRPC, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00133">expansionworldmappingmodule.c:133</a></div></div>
<div class="ttc" id="aa06910_html_a6c02b98d4115552febcba9dfcda355f9"><div class="ttname"><a href="../../d3/d45/a06910.html#a6c02b98d4115552febcba9dfcda355f9">ExpansionWorldMappingModule::TurnOffGenerator</a></div><div class="ttdeci">void TurnOffGenerator(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00214">expansionworldmappingmodule.c:214</a></div></div>
<div class="ttc" id="aa06910_html_a6f28f92f52cf1042b61828e11821650a"><div class="ttname"><a href="../../d3/d45/a06910.html#a6f28f92f52cf1042b61828e11821650a">ExpansionWorldMappingModule::GetRPCMin</a></div><div class="ttdeci">override int GetRPCMin()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00094">expansionworldmappingmodule.c:94</a></div></div>
<div class="ttc" id="aa06910_html_a6fac357cb950061e2e863a9bfa9a9cdc"><div class="ttname"><a href="../../d3/d45/a06910.html#a6fac357cb950061e2e863a9bfa9a9cdc">ExpansionWorldMappingModule::m_InteriorModule</a></div><div class="ttdeci">protected ExpansionInteriorBuildingModule m_InteriorModule</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00023">expansionworldmappingmodule.c:23</a></div></div>
<div class="ttc" id="aa06910_html_a7d9d61803f65b4bf16286052f8e21350"><div class="ttname"><a href="../../d3/d45/a06910.html#a7d9d61803f65b4bf16286052f8e21350">ExpansionWorldMappingModule::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00036">expansionworldmappingmodule.c:36</a></div></div>
<div class="ttc" id="aa06910_html_a848eee0bd151cf57506411fdc1456bbc"><div class="ttname"><a href="../../d3/d45/a06910.html#a848eee0bd151cf57506411fdc1456bbc">ExpansionWorldMappingModule::RPC_Load</a></div><div class="ttdeci">private void RPC_Load(ParamsReadContext ctx, PlayerIdentity senderRPC, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00165">expansionworldmappingmodule.c:165</a></div></div>
<div class="ttc" id="aa06910_html_aa3804eb3d7046148b13907845ad3c917"><div class="ttname"><a href="../../d3/d45/a06910.html#aa3804eb3d7046148b13907845ad3c917">ExpansionWorldMappingModule::TurnOnGenerator</a></div><div class="ttdeci">void TurnOnGenerator(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00188">expansionworldmappingmodule.c:188</a></div></div>
<div class="ttc" id="aa06910_html_aab6c2f49a9caf8c18d4a5b4f6eb6c4a2"><div class="ttname"><a href="../../d3/d45/a06910.html#aab6c2f49a9caf8c18d4a5b4f6eb6c4a2">ExpansionWorldMappingModule::SI_LampDisable</a></div><div class="ttdeci">static ref ScriptInvoker SI_LampDisable</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00017">expansionworldmappingmodule.c:17</a></div></div>
<div class="ttc" id="aa06910_html_ac8588f4da2f18728b79da404d57ae3c9"><div class="ttname"><a href="../../d3/d45/a06910.html#ac8588f4da2f18728b79da404d57ae3c9">ExpansionWorldMappingModule::GetRPCMax</a></div><div class="ttdeci">override int GetRPCMax()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00102">expansionworldmappingmodule.c:102</a></div></div>
<div class="ttc" id="aa06910_html_ae4a1da856044eba8fec5c5ecb761f0a6"><div class="ttname"><a href="../../d3/d45/a06910.html#ae4a1da856044eba8fec5c5ecb761f0a6">ExpansionWorldMappingModule::AdjustWorldName</a></div><div class="ttdeci">private string AdjustWorldName(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da8/a02444_source.html#l00079">expansionworldmappingmodule.c:79</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
<div class="ttc" id="aa09115_html_a7cc200c783f350186bc0feecb6f6103c"><div class="ttname"><a href="../../da/d28/a09115.html#a7cc200c783f350186bc0feecb6f6103c">EXPANSION_MAPPING_FOLDER</a></div><div class="ttdeci">static const string EXPANSION_MAPPING_FOLDER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00094">expansionconstants.c:94</a></div></div>
<div class="ttc" id="aa09115_html_a893578234d6be0cb71f3fae0d0aca300"><div class="ttname"><a href="../../da/d28/a09115.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a></div><div class="ttdeci">static const string EXPANSION_MAPPING_EXT</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00095">expansionconstants.c:95</a></div></div>
<div class="ttc" id="aa09328_html_a65dbab13853969b0c9a6c127dfecfaea"><div class="ttname"><a href="../../d8/d80/a09328.html#a65dbab13853969b0c9a6c127dfecfaea">CF_RegisterModule</a></div><div class="ttdeci">ExpansionRemovedObject OLinkT CF_RegisterModule(ExpansionWorldObjectsModule)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d80/a09328_source.html#l00001">expansionworldobjectsmodule.c:25</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_610f62f19343ccd97bce22d942ff22b3.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f1945fb34dbf9c110560b81d2c79c3a2.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_658008ee2b3766882b618d5437a80d9d.html">mapping</a></li><li class="navelem"><a class="el" href="../../d4/da8/a02444.html">expansionworldmappingmodule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
